Upgrade failed from 3 to 4 - 3.0.99 (Erasmus)

  • is that it?

    I think if you remove the usb installer you get the error you have to boot with the usb installer connected and you will get OMV's WebUI, but don't login instead ssh into OMV or if you have a keyboard and monitor connected login as root run update-grub remove the install usb then type reboot then hit enter. It should now boot from the drive you installed OMV on.


    Then do your option 3 before shutting down and connecting your drives, if that works you'll probably have to come back if the raid doesn't show.

  • I think if you remove the usb installer you get the error you have to boot with the usb installer connected and you will get OMV's WebUI, but don't login instead ssh into OMV or if you have a keyboard and monitor connected login as root run update-grub remove the install usb then type reboot then hit enter. It should now boot from the drive you installed OMV on.


    Then do your option 3 before shutting down and connecting your drives, if that works you'll probably have to come back if the raid doesn't show.

    thanks I'll have a go at that in the morning

  • If you have a standard configuration your OS (Debian with OMV) is installed on one drive and your data are stored on other drives.

    So

    1. disconnect your data drive (so you do not install on the wrong drive by mistake)
    2. install OMV on your OS drive
    3. update the system, shutdown
    4. reconnect the data drives and boot
    5. mount the filesystems on the data drives
    6. configure the rest of the system

    Thanks again macom. I installed the system way back in 2013 so had forgotten that all I needed to do was a fresh install on the os drive. Back up and running now.

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!